io.vertx.core.http

## Enum WebSocketFrameType

- java.lang.Object
- - java.lang.Enum<WebSocketFrameType>
  - - io.vertx.core.http.WebSocketFrameType

- All Implemented Interfaces:
    Serializable, Comparable<WebSocketFrameType>

      public enum WebSocketFrameType
      extends Enum<WebSocketFrameType>

  List of all frame types.
  Author:
    Tim Fox

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` Binary frame.
    `CLOSE` Close frame.
    `CONTINUATION` Continuation frame.
    `PING` Ping frame.
    `PONG` Pong frame.
    `TEXT` Text frame.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebSocketFrameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebSocketFrameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTINUATION

          public static final WebSocketFrameType CONTINUATION

      Continuation frame.

    - #### TEXT

          public static final WebSocketFrameType TEXT

      Text frame.

    - #### BINARY

          public static final WebSocketFrameType BINARY

      Binary frame.

    - #### CLOSE

          public static final WebSocketFrameType CLOSE

      Close frame.

    - #### PING

          public static final WebSocketFrameType PING

      Ping frame.

    - #### PONG

          public static final WebSocketFrameType PONG

      Pong frame.

  - ### Method Detail

    - #### values

          public static WebSocketFrameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketFrameType c : WebSocketFrameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketFrameType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Eclipse. All rights reserved.